Row component for Avenue Code
Use this component to create a grid layout for your page.

___
#### **How do I style this component?**
___
This component uses `Bootstrap grid` class in addition to `ac-ui` base styles (which includes Bootstrap SCSS variables, functions, and mixins).
To apply default styles, import Bootstrap classes:
```scss
@import "~@ac-ui/design-system/src/bridge/grid";
```
  
Thereafter, you can pass in Bootstrap classnames via the `classList` prop, include them as part of `children` nodes, or apply your own custom styles.

**Don't see the import for `ac-ui` base styles?**  
That's because they're already included when importing `bridge`, no need to duplicate import!

___
#### **How can I reference this component?**
___
This component content can be accessed using the classname `ac-row` or displayname `Row`.

___
#### **How do I use this component?**
___
Below are some self-contained usage examples.

**Example:** Default

```jsx
<Row classList="border"><div className="col-sm">Child column</div></Row>

```

**Example:** Add as many rows as you need

```jsx
<Row><div className="col-sm border">First row</div></Row>
<Row><div className="col-sm border">Second row</div></Row>
<Row><div className="col-sm border">Third row</div></Row>

```

**Example:** Configure multiple columns

```jsx
<Row>
  <div className="col-sm border">Child column</div>
  <div className="col-sm border">Child column</div>
  <div className="col-sm border">Child column</div>
</Row>

```

**Example:** Mix & match using Bootstrap grid classes

```jsx
<Row>
  <div className="col border">Row 1 - Child column</div>
  <div className="col border">Row 1 - Child column</div>
  <div className="col border">Row 1 - Child column</div>
  <div className="col border">Row 1 - Child column</div>
</Row>
<Row>
  <div className="col border">Row 2 - Child column</div>
  <div className="col-6 border">Row 2 - Child column</div>
  <div className="col border">Row 2 - Child column</div>
</Row>
<Row>
  <div className="col-sm border">Row 3 - Child column</div>
  <div className="col-sm border">Row 3 - Child column</div>
</Row>
```
